## xorg 7.6+4ubuntu3

=== xsf-docs/Makefile ===
#!/usr/bin/make -f

mdwn_pages = $(shell find -name '*.mdwn')

html_pages = $(patsubst %.mdwn,%.html,$(mdwn_pages))

pdf_files = $(patsubst %.mdwn,%.pdf,$(mdwn_pages))

txt_files = $(patsubst %.mdwn,%.txt,$(mdwn_pages))

MDWN_TO_HTML = ./mdwn2html
HTML_TO_PDF  = wkhtmltopdf
HTML_TO_TXT  = w3m -dump
CSS_FILE     = xsf.css
SVG_LOGO     = xsf.svg
PNG_LOGO     = xsf.png

all_files = $(html_pages) $(pdf_files) $(txt_files) $(CSS_FILE) $(SVG_LOGO) $(PNG_LOGO)

all: html pdf txt $(PNG_LOGO)

html: $(html_pages)

pdf: $(pdf_files)

txt: $(txt_files)

%.html: %.mdwn $(MDWN_TO_HTML)
	$(MDWN_TO_HTML) $< $@

%.pdf: %.html $(CSS_FILE) $(SVG_LOGO)
	$(HTML_TO_PDF) $< $@

# Plain markdown is actually more readable than html dumped to plain
# text (e.g. through w3m):
%.txt: %.mdwn
	cp $< $@

# We usually don't need to run this one, but it's easier to keep both
# SVN and PNG logos in sync:
$(PNG_LOGO): $(SVG_LOGO)
	inkscape $< -e $@

install: $(all_files)
	@if [ -z "$(DESTDIR)" ]; then \
		echo 'E: DESTDIR is not set, not installing.'; exit 1; \
	fi
	mkdir -p $(DESTDIR)
	# There are probably better ways:
	set -e; for i in $(all_files); do \
		d=$(DESTDIR)/`dirname $$i` && \
		mkdir -p $$d && \
		install $$i $$d; \
	done

clean:
	@echo "Removing all generated files"
	rm -f $(html_pages) $(pdf_files) $(txt_files)


.PHONY: clean html pdf all

## xorg 7.0.0-0ubuntu45

=== debian/changelog ===
xorg (7.0.0-0ubuntu45) dapper; urgency=low

  * Apply patch from LaMont to skip Xorg configuration in the absense
    of /dev/fb0, so the server can be installed on headless machines
    like, oh, say, the livefs buildd (closes: launchpad.net/46496)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 May 2006 03:56:19 +1000

xorg (7.0.0-0ubuntu44) dapper; urgency=low

  * Map cf console keymap to ca(fr), and fix sanity-checking logic for
    French Canadian vs. US-layout keyboards.
  (Closes Ubuntu: #34627)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 May 2006 13:06:11 +0100

xorg (7.0.0-0ubuntu43) dapper; urgency=low

  * Kill possible loop when asking nice values.
  (Closes Ubuntu: #41976)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 09 May 2006 09:02:41 +0200

xorg (7.0.0-0ubuntu42) dapper; urgency=low

  * Map et console keymap to ee.
  (Closes Ubuntu: #42800)

  * Handle fi-latin1 console keymap the same way as fi.
  (Closes Ubuntu: #42650)

  * Map nl console keymap to nl.
  (Closes Ubuntu: #26552)

  * Map gr console keymap to gr, and add it to the list of non-Latin
    keymaps.

  * Map mk, ro, and ru console keymaps to mk, ro, and ru respectively.

  * Change sr-cy console keymap to map to cs, not sr, following
    xkeyboard-config changes. Add this to the list of non-Latin keymaps.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 16:56:19 +0100

xorg (7.0.0-0ubuntu41) dapper; urgency=low

  * Handle trfu/trqu console keymaps the same way as trf/trq.
  (Closes Ubuntu: #37867)

  * Map croat console keymap to hr.
  (Closes Ubuntu: #43598)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 14:24:48 +0100

xorg (7.0.0-0ubuntu40) dapper; urgency=low

  * Write down sync ranges for sis driver. Too many reports on sis driver not
    being able to get a clue on the connected monitor.
  (Closes at least Ubuntu: #30489)

  * Change xutils/xbase-clients descriptions since they can't be really
    removed as claimed. Tho packages should really stop depending on them.
  (Closes Ubuntu: 42910)

  * Fix regex match for HPPADEPTH.
  (thanks to LaMont Jones for the patch)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 05 May 2006 09:03:34 +0200

xorg (7.0.0-0ubuntu39) dapper; urgency=low

  * Make sure to set UseFBDev on MacMini and old Macs that use r128 driver.
  (Thanks to Benh for the report and the fix and being such a cool guy)

  * Make sure to write sync ranges with CTX S501A LCD monitor since it seems
    to return 2 sets of sync ranges but only one is valid and of course the
    drivers pick up the wrong one.
  (Closes Ubuntu: #38772)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 04 May 2006 10:11:43 +0200

xorg (7.0.0-0ubuntu38) dapper; urgency=low

  * Some ati cards require a kick (sync ranges) when using DVI output.
  (Closes Ubuntu: #39570)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 03 May 2006 11:10:28 +0200

xorg (7.0.0-0ubuntu37) dapper; urgency=low

  * Make sure to write sync values for Intel Corporation 82852/855GM
    Integrated Graphics Device when monitor is LCV/LDVS.
  (Closes Ubuntu: #13846)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 03 May 2006 09:35:49 +0200

xorg (7.0.0-0ubuntu36) dapper; urgency=low

  * Depends on xserver-xorg-input-elographics required to drive touchscreens
    on IBM Point Of Sales.

  * Enable elographics driver in dexconf when matching known machines.

 --  Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 02 May 2006 09:52:34 +0200

xorg (7.0.0-0ubuntu35) dapper; urgency=low

  * Sync xorg-dev package from Debian and make it Arch: all.
  (Closes Ubuntu: #39613)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 01 May 2006 08:44:03 +0200

xorg (7.0.0-0ubuntu34) dapper; urgency=low

  * On some upgrades the X symlink checksum has been lost for unknown
    reasons. Make sure to recreate it if that's the case.

  * Partially revert the patch introduced in 7.0.0-0ubuntu33 that forces sync
    rages for all ati.
    Peter Schewenke (author of the original patch) did provide a better one
    after investigating one possible regression.
  (Closes Ubuntu: #29970)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 28 Apr 2006 08:35:38 +0200

xorg (7.0.0-0ubuntu33) dapper; urgency=low

  * Make sure to always write sync rages with ati driver and lcd/lvds
    monitors. According to #39762 this is always required.
    Also cleanup the ati code that was forcing MONITOR_SYNC_RANGE later
    in the process since it is now catched by the more generic one.
  (Closes Ubuntu: #39762, #37025)

  * Simply the ati powerpc MONITOR_SYNC_RANGE code.

  * Remove unused var from xserver-xorg.postinst.in.

  * Invoke dmidecode when ARCH != ia64 at least untill dmidecode is fixed
    since ia64 does not really need it yet.
  (Closes Ubuntu: #40659)

  * Make hppa users happy with a catch all config:
    - Add Depends: fbset for hppa.
    - update debian/scripts/vars.hppa.
    - update debian/xserver-xorg.postinst.in.
    (thanks to LaMont Jones for the patch)

  NOTE: this code should probably move to xresprobe to return proper info
        directly, but it might be too intrusive to do it at this point
        of the release.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 27 Apr 2006 08:18:16 +0200

xorg (7.0.0-0ubuntu32) dapper; urgency=low

  * Fix typo in xserver-xorg.in.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 26 Apr 2006 18:03:20 +0200

xorg (7.0.0-0ubuntu31) dapper; urgency=low

  * Add Slovenian, Swiss French and Swiss German keyboard layout
    detection.  Malone: #27509

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 26 Apr 2006 11:49:18 +0200

xorg (7.0.0-0ubuntu30) dapper; urgency=low

  * Remove init script messages from x11-common; it basically amounts to a
    mkdir and the user doesn't need to be specially informed

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 24 Apr 2006 10:53:55 -0700

xorg (7.0.0-0ubuntu29) dapper; urgency=low

  * On fresh installs, if the display is not a lcd/lvds, there are not know


=== debian/control ===
Source: xorg
Section: x11
Priority: optional
Maintainer: Ubuntu X Maintainers <ubuntu-devel@lists.ubuntu.com>
Uploaders: Fabio M. Di Nitto <fabbione@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: dpkg (>= 1.7.0), po-debconf, debhelper (>= 4.1.16)

Package: x11-common
Architecture: any
Depends: ${misc:Depends}, debianutils (>= 1.13), lsb-base (>= 1.3-9ubuntu2), laptop-detect
Conflicts: xfree86-common, xorg-common, xserver-common, x-common
Replaces: xfree86-common, xorg-common, xserver-common, x-common
Description: X Window System (X.Org) infrastructure
 x11-common contains the filesystem infrastructure required for further
 installation of the X Window System in any configuration; it does not
 provide a full installation of clients, servers, libraries, and utilities
 required to run the X Window System.
 .
 A number of terms are used to refer to the X Window System, including "X", "X
 Version 11", "X11", "X11R6", and "X11R7".  The version of X used in Debian and
 Ubuntu is derived from the version released by the X.Org Foundation, and is
 thus often also referred to as "X.Org".  All of the preceding quoted terms are
 functionally interchangeable in an Ubuntu system.

Package: xserver-xorg
Architecture: alpha amd64 arm hppa hurd-i386 i386 ia64 m68k mips mipsel powerpc sparc
Pre-Depends: x11-common (>= 7.0.0-0ubuntu3)
Depends: xserver-xorg-core, xserver-xorg-driver-all | xserver-xorg-driver, xserver-xorg-input-all | xserver-xorg-input, x11-common, ${F:XServer-Xorg-Detect-Depends}
Description: the X.Org X server
 This package depends on the full suite of the server and drivers for the
 X.Org X server, as well as providing a configuration infrastructure to manage
 xorg.conf.  It does not provide the actual server itself, but removing it
 is strongly discouraged.

Package: xserver-xorg-driver-all
Architecture: alpha amd64 arm hppa hurd-i386 i386 ia64 m68k mips mipsel powerpc sparc
Depends: ${F:XServer-Xorg-Driver-Depends}
Description: the X.Org X server -- output driver metapackage
 This package depends on the full suite of output drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: xserver-xorg-input-all
Architecture: alpha amd64 arm hppa hurd-i386 i386 ia64 m68k mips mipsel powerpc sparc
Depends: ${F:XServer-Xorg-Input-Depends}
Description: the X.Org X server -- input driver metapackage
 This package depends on the full suite of input drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: x-window-system-core
Architecture: any
Depends: xserver-xorg, libgl1-mesa, libgl1-mesa-dri, libglu1-mesa, xfonts-base, xfonts-100dpi, xfonts-75dpi, xfonts-scalable, xbase-clients, xutils, xkeyboard-config
Description: X Window System core components
 This metapackage provides the essential components for a standalone
 workstation running the X Window System.  It provides the X libraries, an X
 server, a set of fonts, and a group of basic X clients and utilities.
 .
 Higher level metapackages, such as those for desktop environments, can
 depend on this package and simplify their dependencies.
 .
 It should be noted that a package providing x-window-manager and a package
 providing x-terminal-emulator should also be installed to ensure a
 comfortable X experience.

Package: xlibs-dev
Section: oldlibs
Priority: extra
Depends: libice-dev, libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrandr-dev, libxt-dev, libxtrap-dev, libxtst-dev, libxv-dev, x-dev, zlib1g-dev
Architecture: all
Description: X Window System client library development files transitional package
 This package smooths upgrades from Debian 3.0 by depending on libice-dev,
 libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxmuu-dev,
 libxpm-dev, libxrandr-dev, libxt-dev, libxtrap-dev, libxtst-dev, libxv-dev,
 x-dev, and xlibs-static-dev.  This transitional package is only depended upon
 by packages that haven't yet corrected their dependencies to reflect the new
 library arrangement.

Package: xbase-clients
Architecture: all
Depends: xauth, xdpyinfo, xhost, xinit, xkbutils, xpmutils, xprop, xrandr, xrdb, xsetmode, xsetpointer, xvinfo, mesa-utils, xset, xmodmap, xdriinfo, appres, beforelight, bitmap, editres, fstobdf, iceauth, ico, listres, oclock, smproxy, viewres, x11perf, xbiff, xcalc, xclipboard, xclock, xconsole, xcursorgen, xditview, xev, xeyes, xf86dga, xfd, xfontsel, xgamma, xgc, xkill, xload, xlogo, xlsatoms, xlsclients, xlsfonts, xmag, xman, xmessage, xmore, xrgb, xrefresh, xsetroot, xsm, xstdcmap, xtrap, xvidtune, xwd, xwininfo, xwud, xutils
Description: X Window System client utility transitional package
 This package smooths upgrades from Ubuntu 5.04 ('Hoary') to Ubuntu 5.10
 ('Breezy') by ensuring that most base X client utilities are installed.

Package: xutils
Architecture: all
Depends: imake (>= 1:1.0.0) | xmkmf, xcursorgen, sessreg, xfonts-utils
Description: X Window System miscellaneous utility transitional package
 This package smooths upgrades from Ubuntu 5.04 ('Hoary') to Ubuntu 5.10
 ('Breezy') by ensuring that most miscellaneous utilities traditionally
 shipped with the sample implementation of X are installed. 

Package: xorg-dev
Architecture: all
Depends: libdmx-dev, libfontenc-dev, libfs-dev, libice-dev, libsm-dev, libx11-dev, libx11-dev, libxau-dev, libxaw7-dev, libxcomposite-dev, libxcursor-dev, libxdamage-dev, libxdmcp-dev, libxevie-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxft-dev, libxi-dev, libxinerama-dev, libxkbfile-dev, libxkbui-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxres-dev, libxss-dev, libxt-dev, libxtrap-dev, libxtst-dev, libxv-dev, libxvmc-dev, libxxf86dga-dev, libxxf86misc-dev, libxxf86vm-dev, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dmx-dev, x11proto-evie-dev, x11proto-fixes-dev, x11proto-fontcache-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86misc-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xserver-xorg-dev, xtrans-dev
Description: the X.Org development libraries
 This metapackage provides the development libraries for the X.Org X Window
 System.
 .
 X Window System design documentation, manual pages, library reference
 works, unstripped and static versions of the shared libraries, C header
 files, and special versions of libraries available only in static form
 (with and without PIC symbols included) are supplied by the packages
 depended on by this metapackage.
 .
 Note that this is a convinience package for users and is not a package for
 Debian developers to have their package depend on.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xfree86 source package
# Originally by Stephen Early <sde1000@debian.org>
# Modified by Mark W. Eichin <eichin@kitten.gen.ma.us>
# Modified by Adam Heath <doogie@debian.org>
# Modified by Branden Robinson <branden@debian.org>
# Modified by Fabio Massimo Di Nitto <fabbione@fabbione.net>
# Modified by Daniel Stone <daniel.stone@ubuntu.com>
# Copyright 1996--2005 Software in the Public Interest, Inc.
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.

# debhelper
export DH_OPTIONS

# latest ABI is 7.0 final
SERVERABIBUMP = 7.0.0

# Get package version info.
SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog | grep '^Version:' | awk '{print $$2}')

# The DEB_HOST_ARCH variable may be set per the Debian cross-compilation policy.
ifdef DEB_HOST_ARCH
 ARCH:=$(DEB_HOST_ARCH)
else
 # dpkg-cross sets the ARCH environment variable; if set, use it.
 ifndef ARCH
  ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 endif
endif

# Read in important variables.
include debian/scripts/vars
# Read in architecture-specific variables of importance.
include debian/scripts/vars.$(ARCH)

clean: cleanscripts
	dh_testdir
	dh_clean stamp-* debian/local/X debian/po/pothead


SCRIPTS=$(shell ls debian/*.config.in debian/*.postinst.in debian/*.postrm.in debian/*.preinst.in debian/*.prerm.in)

cleanscripts:
	rm -f debian/*.config debian/*.postinst debian/*.postrm debian/*.preinst debian/*.prerm
	rm -f stamp-scripts stamp-genscripts stamp-validatescripts

scripts: stamp-scripts
stamp-scripts: genscripts validatescripts
	touch $@

validatescripts: genscripts stamp-validatescripts
stamp-validatescripts: debian/local/dexconf
	sh debian/scripts/validate-posix-sh $<
	touch $@

genscripts: stamp-genscripts
stamp-genscripts: $(SCRIPTS)
	for FILE in $(SCRIPTS); do \
	  if [ -e "$$FILE" ]; then \
	    MAINTSCRIPT=$$(echo $$FILE | sed 's/.in$$//'); \
	    if egrep -q '^#INCLUDE_SHELL_LIB#$$' $$FILE; then \
	      sed -n '1,/^#INCLUDE_SHELL_LIB#$$/p' < $$FILE | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' > $$MAINTSCRIPT.tmp; \
	      cat debian/shell-lib.sh >> $$MAINTSCRIPT.tmp; \
	      sed -n '/^#INCLUDE_SHELL_LIB#$$/,$$p' < $$FILE | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' >> $$MAINTSCRIPT.tmp; \
	    else \
	      cp $$FILE $$MAINTSCRIPT.tmp; \
	    fi; \
	    sed -e 's/@SOURCE_VERSION@/$(SOURCE_VERSION)/' < $$MAINTSCRIPT.tmp > $$MAINTSCRIPT; \
	    rm $$MAINTSCRIPT.tmp; \
	    sh debian/scripts/validate-posix-sh $$MAINTSCRIPT; \
	  fi; \
	done
	touch $@

# Generate the debconf templates POT file header.
debian/po/pothead: debian/po/pothead.in
	sed -e 's/SOURCE_VERSION/$(SOURCE_VERSION)/' \
	  -e 's/DATE/$(shell date "+%F %X%z"/)' \
	  <debian/po/pothead.in >$@

# Update POT and PO files.
updatepo: debian/po/pothead
	debian/scripts/debconf-updatepo --pot-header=pothead --verbose

build: stamp-build
stamp-build: stamp-scripts
	dh_testdir
	# build Debian's X server wrapper
	$(CC) -Wall -g -O2 -o debian/local/X debian/local/xserver-wrapper.c
	touch $@

build-arch-only: build
build-all:

install: stamp-install
stamp-install: stamp-build
	dh_testdir
	dh_testroot
	umask 022
	dh_clean -k
	touch $@

binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	dh_installdirs
	dh_installdocs
	dh_installinit -Nx11-common
	dh_installinit -px11-common -u'start 70 S .'
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch stamp-$@

binary-arch: DH_OPTIONS=-s
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	dh_installdirs
	dh_installdocs
	dh_installinit
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	chmod ug+s debian/x11-common/usr/bin/X
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -VF:XServer-Xorg-Driver-Depends=$(XSERVER_XORG_DRIVER_DEPENDS) \
	                 -VF:XServer-Xorg-Input-Depends=$(XSERVER_XORG_INPUT_DEPENDS) \
			 -VF:XServer-Xorg-Detect-Depends=$(XSERVER_XORG_DETECT_DEPENDS) \
	                 -VServer-ABI-Version=$(SERVERABIBUMP)
	dh_md5sums
	dh_builddeb
	touch stamp-$@

binary: binary-indep binary-arch

.PHONY: default
.PHONY: genscripts cleanscripts scripts validatescripts
.PHONY: updatepo
.PHONY: clean configure install
.PHONY: build build-arch-only build-all
.PHONY: binary binary-arch binary-indep
.PHONY: environment

# vim:set noet ai sts=8 sw=8 tw=0:

## xorg 7.0.14osso1

=== debian/changelog ===
xorg (1:7.0.14osso1) unstable; urgency=low

  * Remove metapackages we don't use, and X server wrapper.
  * Remove installed files and manpages from x11-common.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 19 Apr 2006 09:03:58 +0000

xorg (1:7.0.14) unstable; urgency=low

  * Add more versioned conflicts (libmotif-dev, motif-clients, xslideshow,
    xtrkcad). Thanks Steve Langasek.
  * Grab discover_video function from xserver-xorg.config.in from 6.9. The
    discover2 support was dropped solely in favor of discover1. This caused
    people with discover installed instead of discover1 to have an error
    returning 64 on their xserver-xorg postinstall. Thanks to Daniele
    Venzano for the bug report. Thanks to Steve Gran and Steve Langasek for
    tracking this down. (closes: #362891, #363021)
  * Make x11-common pre-depend on debconf | debconf-2.0. Thanks Steve
    Langasek. (closes: #362992)
  * Make x-window-system and x-window-system-core transitional packages that
    depend on the xorg package. These packages will smooth upgrades from sarge
    and will be removed upon the release of etch.
  * Make x11-common not depend on laptop-detect. This is now only recommended
    by xserver-xorg. Thanks Marc Wilson. (closes: #363081)
  * Have xserver-xorg-input-all pull in synaptics driver on all arches that
    it's set to build on. This required not loading the plain vars file in
    debian/rules, and having the variable listing the input drivers moved to
    the arch-specific vars files.

 -- David Nusinow <dnusinow@debian.org>  Mon, 17 Apr 2006 12:30:06 -0400

xorg (1:7.0.13) unstable; urgency=low

  * Fix shell snippet that provides the /usr/X11R6/bin dir->symlink
    transition. This prevents the test from succeeding incorrectly.
    Thanks Steve Langasek. (closes: #362940)
  * Fix case on xfs-xtt conflict for x11-common. Thanks Mike Furr.
    (closes: #362955)
  * Add x11-common conflict on xearth. Thanks Steve M. Robbins.
    (closes: #362524)

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Apr 2006 17:45:49 -0400

xorg (1:7.0.12) unstable; urgency=low

  * Move hardware autodetection stuff to Recommends rather than Depends.
    Also allow discover in addition to discover1. Thanks a lot of people.
    (closes: #322659, #362060,#362253)
  * Update list of x11-common conflicts. Thanks Steve Langasek.
    (closes: #362711)
  * Better document what can be done in the event that x11-common isn't empty
    on upgrade. Tell people in the error message that they can move the items
    there back after the installation has finished.
  * Make xserver-xorg-(input|video)-all arch: any rather than all, to let them
    build properly. Thanks Eugene Konev for the fix. Thanks Paul Wise and LIU
    Xin. (closes: #362719, #362720, #362694, #362672)
  * Remove the /usr/X11R6/bin/X symlink from xserver-xorg. Also bump the
    x11-common conflicts with xserver-xorg to this version. Thanks Joey Hess
    and Christian Hammers. Thanks to Steve Langasek for the fix.
    (closes: #362713, #362672)
  * Add pgaccess to the list of packages to conflict with. Thanks Bas
    Couwenberg. (closes: #362685)
  * Have safer and better logic for replacing the /usr/X11R6/bin dir with a
    symlink. Handle new installs. Thanks Bart Vanhaute. (closes: #362780)

 -- David Nusinow <dnusinow@debian.org>  Sat, 15 Apr 2006 12:41:32 -0400

xorg (1:7.0.11) unstable; urgency=low

  * Have xserver-xorg depend on xkb-data | xkb-data-legacy. Not a recommends
    any more. Thanks to a lot of people. (closes: #362112, #362105, #362521)
  * Make various metapackages arch: any rather than arch: all
  * Add s390 vars script source to allow the package to build on that arch.
    Provides only the dummy video driver currently.
    (closes: #361908, #361909)
  * On xserver-xorg postinst, reconfigure for all versions less than or equal
    to this one. This will only occur if the file is not customized. This will
    automatically correct for new font and xkb data paths. Users with
    customized files will have to make the necessary changes, documented in
    the NEWS.Debian file for the xserver-xorg-core package.
  * Have x11-common conflict with packages installing binaries to
    /usr/X11R6/bin. We need to remove them in order to install a proper
    symlink at this location to /usr/bin. Packages will still be able to
    install to /usr/X11R6/bin, but they need to be removed from the system
    first so that we can set up the symlink and not drop them out of the path.
    Thanks Steve Langasek. (closes: #362524, #362200)
  * Symlink /usr/X11R6/bin to /usr/bin in x11-common.postinst. Thanks Steve
    Langasek.
  * Several fixes for fonts. Include /usr/X11R6/lib/X11/fonts as a directory
    in x11-common for font packages that have not transitioned to the new
    directory. /usr/lib/X11/fonts symlinks to this directory. Both of these
    used to be symlinks to /usr/share/fonts/X11 but no longer. We explicitly
    remove the symlink at /usr/X11R6/lib/X11/fonts in the x11-common preinst
    to ensure this transition. Thanks Eugene Konev.
  * Document the change of PATH to /usr/X11R6/bin in x11-common NEWS.Debian
    file. Thanks Joey Hess. (closes: #362222)
  * Have x11-common conflict with libxft-dev <= 2.1.8.2-5. Thanks Margarita
    Manterola. (closes: #362255)
  * Document the metapackage name change in x11-common's NEWS.Debian.
  * Have xserver-xorg depend on xbase-clients
  * Ensure that config file md5sum gets migrated from /var/lib/xfree86 to
    /var/libx11. To do so, separate the test for it from the roster file in
    the xserver-xorg preinst. Properly handle the migration itself as well by
    using better variables in the mv command. Thanks Justin Pryzby.
    (closes: #331690)
  * Similarly separate the md5sum for the server symlink from the roster. Also
    handle the case where the server symlink md5sum is removed but the symlink
    itself is in place. Here we just remake the md5sum using that symlink
    silently.



=== debian/control ===
Source: xorg
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Branden Robinson <branden@debian.org>, Fabio M. Di Nitto <fabbione@fabbione.net>
Standards-Version: 3.6.1
Build-Depends: dpkg (>= 1.7.0), po-debconf, debhelper (>= 4.1.16)

Package: x11-common
Architecture: any
Depends: ${misc:Depends}
Conflicts: xfree86-common, xorg-common, xserver-common, x-common, xserver-xorg (<< 1:7.0.12), xserver-xfree86 (<= 6.9.0.dfsg.1-6), libxft-dev (<= 2.1.8.2-5),  aee (<= 2.2.15b-1), ascd (<= 0.13.2-3), bibview (<= 2.2-8), fvwm1 (<= 1.24r-46), grace (<= 1:5.1.18-1), groff (<= 1.18.1.1-7), hfsutils-tcltk (<= 3.2.6-7), login.app (<= 1.2.1-18), oneko (<= 1.2.sakura.6-1), procmeter (<= 2.5.1-11), propsel (<= 971130-5.3), regexplorer (<= 0.1.6-12), tkseti (<= 3.06-1), wdm (<= 1.28-1), wily (<= 0.13.41-6), wmnetselect (<= 0.85-5.5), wmsensors (<= 1.0.4-3.4), wmtv (<= 0.6.5-15), xbanner (<= 1.31-23), xcolors (<= 1.5a-2), xcolorsel (<= 1.1a-11), xezmlm (<= 1.0.3-11), xfs-xtt (<= 1:1.4.1.xf430-5), xgdipc (<= 1.2-0.3), xgmod (<= 3.1-9), xgraph (<= 12.1-3), xlogmaster (<= 1.6.0-8), xmailbox (<= 2.5-9), xmem (<= 1.20-19), xnecview (<= 1.34-2), xodo (<= 1.2-9.2), xturqstat (<= 2.2.2sarge1), xwit (<= 3.4-6), lbxproxy (<= 6.9.0.dfsg.1-6), proxymngr (<= 6.9.0.dfsg.1-6), twm (<= 6.9.0.dfsg.1-6), xbase-clients (<= 6.9.0.dfsg.1-6), xdm (<= 6.9.0.dfsg.1-6), xfs (<= 6.9.0.dfsg.1-6), xfwp (<= 6.9.0.dfsg.1-6), xutils (<= 6.9.0.dfsg.1-6), xvfb (<= 6.9.0.dfsg.1-6), qcam (<= 0.91-11.1), twlog (<= 1.3-4), xdmx (<= 6.9.0.dfsg.1-6), bugsx (<= 1.08-8), buici-clock (<= 0.4.5+b1), ctwm (<= 3.7-2), emelfm (<= 0.9.2-7), fte-xwindow (<= 0.50.0-1.3), fvwm95 (<= 2.0.43ba-23+b1), gerstensaft (<= 0.2-5.1), gipsc (<= 0.4.3-2), gradio (<= 1.0.1-6), hanterm-classic (<= 3.1.6.0-4), hanterm-xf (<= 1:3.3.1p18-9.2), ibp (<= 0.21-4), isdnutils-xtools (<= 1:3.8.2005-12-06-4), ivtools-bin (<= 1.1.3-5), kdrill (<= 6.4-2.1), kinput2-canna (<= 3.1-7), kinput2-canna-wnn (<= 3.1-7), kinput2-wnn (<= 3.1-7), kterm (<= 6.2.0-45), lm-batmon (<= 0.96-3), lwm (<= 1.2.1-1), mctools-lite (<= 970129-16), mgp (<= 1.11b-6), olvwm (<= 4.4.3.2p1.4-21), olwm (<= 3.2p1.4-21), pixmap (<= 2.6pl4-14.1), plotmtv (<= 1.4.4t-8.1), ppxp-x11 (<= 0.2001080415-14), seyon (<= 2.20c-20), skkinput (<= 1:2.06.4-4), tkdesk (<= 2.0-5), videogen (<= 0.32-1), vtwm (<= 5.4.7-2), w9wm (<= 0.4.2-4), wmavgload (<= 0.7.0-6.1), wmcpu (<= 1.3-4.1), wmdate (<= 0.5-7.1), wmnet (<= 1.05-11), wmscope (<= 3.0-9.1), xautolock (<= 1:2.1-6), xbatt (<= 1.2.1-4), xbattbar (<= 1.4.2-3.1), xcal (<= 4.1-18.2), xcalendar-i18n (<= 4.0.0.i18p1-13.1), xcb (<= 2.4-4), xclip (<= 0.08-5), xclips (<= 6.21-6), xdkcal (<= 0.9d-2.1), xdu (<= 3.0-14), xengine (<= 1.11-9), xfaces (<= 3.3-25), xfishtank (<= 2.2-23.1), xfm (<= 1.4.3-8), xinput (<= 1.2-5.2), xipmsg (<= 0.8088-1.1), xlbiff (<= 4.1-1.1), xli (<= 1.17.0-21), xlockmore (<= 1:5.21-1), xlockmore-gl (<= 1:5.21-1), xmeter (<= 1.15-6), xmix (<= 2.1-5), xmon (<= 1.5.6-1.3), xpostit (<= 3.3.1-8.2), xprint (<= 1:0.1.0.alpha1-13), xrn (<= 9.02-7.1), xsysinfo (<= 1.7-2), xtel (<= 3.3.0-5.2), xtoolwait (<= 1.3-6), xtrlock (<= 2.0-11), xview-clients (<= 3.2p1.4-21), xviewg (<= 3.2p1.4-21), xviewg-dev (<= 3.2p1.4-21), xvkbd (<= 2.6-2.1), xxkb (<= 1.10-2.1), xzoom (<= 0.3-17), pgaccess (<= 1:0.98.8.20030520-2), xearth (<= 1.1-10.2), libmotif-dev (<= 2.2.3-1.3), motif-clients (<= 2.2.3-1.3), xslideshow (<= 3.1-8.1), xtrkcad (<= 3.1.4-1) 
Replaces: xfree86-common, xorg-common, xserver-common, x-common
Description: X Window System (X.Org) infrastructure
 x11-common contains the filesystem infrastructure required for further
 installation of the X Window System in any configuration; it does not
 provide a full installation of clients, servers, libraries, and utilities
 required to run the X Window System.
 .
 A number of terms are used to refer to the X Window System, including "X",
 "X Version 11", "X11", "X11R6", and "X11R7".  The version of X used in
 Debian is derived from the version released by the X.Org Foundation, and
 is thus often also referred to as "X.Org".  All of the preceding quoted
 terms are functionally interchangeable in an Debian system.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xfree86 source package
# Originally by Stephen Early <sde1000@debian.org>
# Modified by Mark W. Eichin <eichin@kitten.gen.ma.us>
# Modified by Adam Heath <doogie@debian.org>
# Modified by Branden Robinson <branden@debian.org>
# Modified by Fabio Massimo Di Nitto <fabbione@fabbione.net>
# Modified by Daniel Stone <daniel.stone@ubuntu.com>
# Modified by David Nusinow <dnusinow@debian.org>
# Copyright 1996--2005 Software in the Public Interest, Inc.
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.

# debhelper
export DH_OPTIONS

# latest ABI is 7.0 final
SERVERABIBUMP = 7.0.0

include debian/xsfbs/xsfbs.mk

# Get package version info.
SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog | grep '^Version:' | awk '{print $$2}')

# The DEB_HOST_ARCH variable may be set per the Debian cross-compilation policy.
ifdef DEB_HOST_ARCH
 ARCH:=$(DEB_HOST_ARCH)
else
 # dpkg-cross sets the ARCH environment variable; if set, use it.
 ifndef ARCH
  ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 endif
endif

# Read in important variables.
#include debian/scripts/vars
# Read in architecture-specific variables of importance.
include debian/scripts/vars.$(ARCH)

clean: cleanscripts
	dh_testdir
	dh_clean stamp-* debian/local/X debian/po/pothead


SCRIPTS=$(shell ls debian/*.config.in debian/*.postinst.in debian/*.postrm.in debian/*.preinst.in debian/*.prerm.in)

scripts: stamp-scripts
stamp-scripts: genscripts validatescripts
	touch $@

validatescripts: genscripts stamp-validatescripts
stamp-validatescripts: debian/local/dexconf
	sh debian/scripts/validate-posix-sh $<
	touch $@

build: stamp-build
stamp-build: stamp-scripts
	dh_testdir
	touch $@

build-arch-only: build
build-all:

install: stamp-install
stamp-install: stamp-build
	dh_testdir
	dh_testroot
	umask 022
	dh_clean -k
	touch $@

binary-indep: DH_OPTIONS=-i
binary-indep: build install

binary-arch: DH_OPTIONS=-s
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	dh_installdirs
	dh_installdocs
	dh_installinit -px11-common -u'start 70 S .'
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch stamp-$@
	touch stamp-$@

binary: binary-arch

.PHONY: default
.PHONY: genscripts cleanscripts scripts validatescripts
.PHONY: updatepo
.PHONY: clean configure install
.PHONY: build build-arch-only build-all
.PHONY: binary binary-arch binary-indep
.PHONY: environment

# vim:set noet ai sts=8 sw=8 tw=0:
